#!/usr/local/bin/ruby
# $Id: httperflog.rb,v 1.1 2001/12/23 15:52:36 toki Exp $
# -
# summary of logs of httperf clients.

tot_req = 0
tot_ms = 0
count = 0

for line in ARGF
  if (line =~ %r!Request rate: (\d+(\.\d+)?) req/s \((\d+(\.\d+)?) ms/req\)!) then
    print line
    tot_req += $1.to_f
    tot_ms += $3.to_f
    count += 1
  end
end

print "Total rate: #{tot_req} req/s (#{1000.0 / tot_req} ms/req)\n"
