# $Id: stream.rb,v 1.1 2001/12/23 15:18:34 toki Exp $
# -
# Octet-Stream document for Performance Test

require 'wwwsrv/const'
require 'wwwsrv/document'

module WWWsrv
  class OctetStreamDocument < WWWsrv::Document
    def initialize(fragment, count)
      @fragment = fragment
      @count = count
    end

    def content(sid, srv_opt, prefix, request, response)
      srv_opt.log.debug "sid #{sid}: debug #{type}"
      response.header.content_type = 'application/octet-stream'
      response.header.content_length = (@fragment.length * @count).to_s
      yield(response)
      @count.times do
	yield(@fragment)
      end
    end
  end
end
