# $Id: timeoutinsp.rb,v 1.1 2001/12/23 15:18:35 toki Exp $
# -
# Timeout Thread Inspection for Debugging

require 'wwwsrv/const'
require 'wwwsrv/thread'
require 'wwwsrv/document'

module WWWsrv
  class TimeoutThreadInspection < WWWsrv::Document
    def content(sid, srv_opt, prefix, request, response)
      srv_opt.log.debug "sid #{sid}: debug #{type}"
      response.header.content_type = 'text/plain'
      yield(response)
      yield("*Current Time*\n")
      yield(Time::now.to_s + "\n")
      yield("\n")
      yield("*Tiemout Threads*\n")
      for thread_waiters in WWWsrv::Timeout::WAITERS
	yield(thread_waiters.inspect + "\n")
      end
    end
  end
end
