# $Id: comm.rb,v 1.1 2001/11/17 14:11:10 toki Exp $
# -
# Utilities for WWW server test

module TestWWWsrv
  module Communicate
    def communicate(document, sid, srv_opt, prefix, request, response)
      doc_response = nil
      content_spool = nil
      content_alist = []

      state, err_args = WWWsrv::Document::catch_state{
	document.content(sid, srv_opt, prefix, request, response) do |arg, *opts|
	  unless (doc_response) then
	    doc_response = arg
	  else
	    content_spool = '' unless content_spool
	    content_spool.concat(arg)
	    content_alist.push([ arg, *opts ])
	  end
	end
      }

      return state, err_args, doc_response, content_spool, content_alist
    end
    module_function :communicate
  end
end
